AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)  \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/tests/traced/common

noinst_PROGRAMS = \
	context-properties \
	create-2 \
	create-2-same \
	simple-create \
	invalid-icon-url \
	invalid-data-url \
	oversized-icon \
	add-icon \
	user-abandoned \
	destroy-interest-for-context \
	abandon-before-context-ready

add_icon_SOURCES = \
	add-icon.c \
	../common/uwa-test-client.c
add_icon_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

abandon_before_context_ready_SOURCES = \
	abandon-before-context-ready.c \
	../common/uwa-test-client.c

abandon_before_context_ready_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

oversized_icon_SOURCES = \
	oversized-icon.c \
	../common/uwa-test-client.c
oversized_icon_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

invalid_data_url_SOURCES = \
	invalid-data-url.c \
	../common/uwa-test-client.c
invalid_data_url_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

invalid_icon_url_SOURCES = \
	invalid-icon-url.c \
	../common/uwa-test-client.c
invalid_icon_url_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

context_properties_SOURCES = \
	context-properties.c \
	../common/uwa-test-client.c
context_properties_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

create_2_same_SOURCES = \
	create-2-same.c \
	../common/uwa-test-client.c
create_2_same_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

create_2_SOURCES = \
	create-2.c \
	../common/uwa-test-client.c
create_2_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

simple_create_SOURCES = \
	simple-create.c \
	../common/uwa-test-client.c
simple_create_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

user_abandoned_SOURCES = \
	user-abandoned.c \
	../common/uwa-test-client.c
user_abandoned_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

destroy_interest_for_context_SOURCES = \
	destroy-interest-for-context.c \
	../common/uwa-test-client.c
destroy_interest_for_context_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

